import { SFCDescriptor, SFCBlock, SFCCustomBlock } from '@vue/component-compiler-utils';
export interface VuePartRequest {
    filename: string;
    meta: VuePartRequestMeta;
}
export interface VuePartRequestMeta {
    type: 'template' | 'script' | 'styles' | 'customBlocks';
    lang: string;
    index?: number;
}
export declare function createVueFilter(include?: Array<string | RegExp> | string | RegExp, exclude?: Array<string | RegExp> | string | RegExp): (file: string) => boolean;
export declare function getVueMetaFromQuery(id: string): VuePartRequestMeta | null;
export declare function isVuePartRequest(id: string): boolean;
export declare function createVuePartRequest(filename: string, lang: string | undefined, type: string, index?: number): string;
export declare const DEFAULT_LANGS: Record<string, string>;
export declare function parseVuePartRequest(id: string): VuePartRequest | undefined;
export declare function resolveVuePart(descriptors: Map<string, SFCDescriptor>, { filename, meta }: VuePartRequest): SFCBlock | SFCCustomBlock;
export declare function transformRequireToImport(code: string): string;
